## fades 8.1

=== requirements.txt ===
flake8==3.5.0
logassert==2
mccabe==0.6.1
nose==1.3.7
nosexcover==1.0.10
pep257==0.7.0
pep8==1.7.0
pycodestyle==2.3.1
pyflakes==1.6.0
pyuca==1.1.2
pyxdg==0.25
rst2html5==1.9.3
setuptools>=5.5
wheel==0.26.0

## fades 5

=== debian/changelog ===
fades (5-2) unstable; urgency=medium

  * d/control: Bump Standards-Version with no other changes needed.

 -- Barry Warsaw <barry@debian.org>  Mon, 21 Mar 2016 14:10:29 -0400

fades (5-1) unstable; urgency=medium

  * New upstream release.  (Closes: #814913)

 -- Barry Warsaw <barry@debian.org>  Tue, 16 Feb 2016 13:45:21 -0500

fades (4-1) unstable; urgency=medium

  * Initial release.  (Closes: #802806)

  [ Barry Warsaw ]
  * d/control: Add Vcs-* headers.

 -- Facundo Batista <facundo@taniquetil.com.ar>  Sun, 25 Oct 2015 12:30:40 -0300

=== debian/control ===
Source: fades
Maintainer: Facundo Batista <facundo@taniquetil.com.ar>
Uploaders: Barry Warsaw <barry@debian.org>
Section: python
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-translations | dh-python,
               python3-all (>= 3.4),
               python3-setuptools,
               python3-xdg
Homepage: https://github.com/PyAr/fades
Standards-Version: 3.9.7
X-Python3-Version: >= 3.4
Vcs-Git: git://git.debian.org/collab-maint/fades.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fades.git

Package: fades
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Description: system for automatically handling virtual environments
 fades is a system that automatically handles the virtualenvs in the cases
 normally found when writing scripts and simple programs, and even helps to
 administer big projects.

## fades 7.0

=== debian/changelog ===
fades (7.0-2) unstable; urgency=medium

  [ Iñaki Malerba ]
  * Do not run tests on build.
  * Change maintainer

  [ Agustin Henze ]
  * Add pipeline template

 -- Iñaki Malerba <inaki@malerba.space>  Wed, 13 Jun 2018 11:11:20 -0300

fades (7.0-1) unstable; urgency=medium

  [ Facundo Batista ]
  * New upstream version 6.0.1

  [ Iñaki Malerba ]
  * New upstream version 7.0
  * Use github instead of pypi to watch upstream
  * Add Iñaki Malerba as uploader to avoid NMU warnings.
  * Update standards version. Also, deprecate x-python3-version option.
  * debian/control: update vcs urls
  * Change priority extra to optional
  * Upgrade compat to 11
  * Add python3-distutils and ca-certificates dependencies.
  * Remove fades.cmd

 -- Iñaki Malerba <inaki@malerba.space>  Fri, 08 Jun 2018 12:44:58 -0300

## fades 8.1

=== debian/changelog ===
fades (8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Iñaki Malerba ]
  * New upstream version 8.1

 -- Iñaki Malerba <inaki@malerba.space>  Fri, 08 Feb 2019 08:50:22 -0300

=== debian/tests/control ===
Tests: unittests
Restrictions:
    allow-stderr
Depends: @,

## fades 9.0.1

=== requirements.txt ===
flake8==3.7.7
logassert==2
pep257==0.7.0
pep8==1.7.0
pyuca==1.1.2
pyxdg==0.26
rst2html5==1.9.3
setuptools>=5.5
wheel==0.26.0
pytest==4.4.2
pytest-xdist==1.28.0
pytest-sugar==0.9.2
pytest-mock==1.10.4

=== debian/changelog ===
fades (9.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop deprecated restriction . See
    https://salsa.debian.org/ci-team/autopkgtest/tree/master/doc/README.package-tests.rst

  [ Iñaki Malerba ]
  * Stop installing test dependencies from pip (Closes: #974556)

 -- Iñaki Malerba <inaki@malerba.space>  Thu, 26 Nov 2020 15:32:26 +0100

fades (9.0.1-1) unstable; urgency=medium

  * New upstream version 9.0.1

 -- Iñaki Malerba <inaki@malerba.space>  Wed, 03 Jun 2020 17:03:57 +0200

fades (9.0-1) unstable; urgency=medium

  [ Iñaki Malerba ]
  * New upstream version 9.0 (Closes: #950858)
  * Bump Standards version to 4.5.0
  * Add Rules-Requires-Root.
  * Bump debcompat to 13

 -- Iñaki Malerba <inaki@malerba.space>  Fri, 29 May 2020 12:24:44 +0200

=== debian/control ===
Source: fades
Maintainer: Iñaki Malerba <inaki@malerba.space>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-translations | dh-python,
               python3-all (>= 3.4),
               python3-setuptools,
               python3-xdg
Homepage: https://github.com/PyAr/fades
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/fades.git
Vcs-Browser: https://salsa.debian.org/debian/fades

Package: fades
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-pkg-resources,
 python3-distutils,
 ca-certificates,
Description: system for automatically handling virtual environments
 fades is a system that automatically handles the virtualenvs in the cases
 normally found when writing scripts and simple programs, and even helps to
 administer big projects.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fades

# Debian doesn't have dh-translations.
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python3,translations --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_install:
	dh_auto_install
	rm debian/fades/usr/bin/fades.cmd

override_dh_auto_test:
# Run on autopkgtests

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: @,
    python3-pytest-cov,
    python3-pytest-mock,
    python3-all,
    python3-logassert,
    python3-docutils,
    python3-xdg,
    python3-pydocstyle,
    pydocstyle

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/PyAr/fades/releases .*archive/release-([0-9.]*)\.tar\.gz

## fades 9.0.2

=== requirements.txt ===
flake8
logassert
pydocstyle
pytest
pyuca
pyxdg
rst2html5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fades.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fades.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/fades"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/fades"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
fades (9.0.2-2) unstable; urgency=medium

  * Non-maintainer Upload
  * Revert "Enable tests"

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jul 2024 23:50:57 +0200

fades (9.0.2-1) unstable; urgency=medium

  * Non-maintainer Upload
  * Apply Ubuntu patch that removes python3-distutils (Closes: #1065858)
  * Refresh patch, pycodestyle is still not needed
  * Remove old patch applied upstream
  * Enable tests with python3-pytest

  [ Iñaki Malerba ]
  * New upstream version 9.0.2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 20:31:57 +0200

fades (9.0.1-3) unstable; urgency=medium

  * Update debian/watch file

 -- Iñaki Malerba <inaki@malerba.space>  Thu, 19 May 2022 18:13:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-translations | dh-python,
-               python3-all (>= 3.4),
+               python3-all,
                python3-setuptools,
                python3-xdg
 Homepage: https://github.com/PyAr/fades
@@ -18,7 +18,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-pkg-resources,
- python3-distutils,
  ca-certificates,
 Description: system for automatically handling virtual environments
  fades is a system that automatically handles the virtualenvs in the cases

=== debian/tests/control ===
--- 
+++ 
@@ -7,5 +7,3 @@
     python3-logassert,
     python3-docutils,
     python3-xdg,
-    python3-pydocstyle,
-    pydocstyle

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/PyAr/fades/tags .*/release-(\d\S+)\.tar\.gz
